> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bliper.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar Foto do Perfil

> Atualiza a foto de perfil do WhatsApp com uma URL de imagem

## Descrição

Atualiza a foto de perfil do WhatsApp conectado à instância a partir de uma URL de imagem pública.

## Request

### Headers

```
Client-Token: SEU_CLIENT_TOKEN
Content-Type: application/json
```

### Body

```json theme={null}
{
  "value": "https://exemplo.com/foto.jpg"
}
```

| Campo   | Tipo   | Obrigatório | Descrição                                             |
| ------- | ------ | ----------- | ----------------------------------------------------- |
| `value` | string | Sim         | URL pública da imagem a ser usada como foto de perfil |

## Response

### Sucesso (200)

```json theme={null}
{
  "success": true
}
```

## Exemplo cURL

```bash theme={null}
curl -X PUT 'https://api.bliper.io/instances/{INSTANCE_ID}/token/{INSTANCE_TOKEN}/profile-picture' \
  -H 'Client-Token: SEU_CLIENT_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"value": "https://exemplo.com/foto.jpg"}'
```
